Subject: Re: [PATCH 3/8] fetch: fix missing from-reference when fetching HEAD:foo

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 27 Apr 2023 12:58:29 +0200

On Wed, Apr 26, 2023 at 12:20:15PM -0700, Jacob Keller wrote:
> On 4/19/2023 5:31 AM, Patrick Steinhardt wrote:
[snip]
> The commit message here has a lot of context, but I found it a bit hard
> to parse through, especially relative to the actual fix in code.
> 
> One suggestion was to load the paragraphs a bit more with the actual
> problem being solved first, before beginning a lot of the context.
> 
> We also discussed the block of format changes and felt a bit mixed on
> whether to include it or not. It does match the coding style guidelines,
> but there is no actual functional change made to those lines in this series.
> 
> I think its a good improvement, and it does force some extra context
> into the diff which makes reading the resulting change easier.

I initially really struggled to explain to myself why my change actually
works, and that shows in the commit message. I've reworded it a bit and
took some of the suggested changes that Glen posted to hopefully make
this clearer.

Patrick